@import "../../../../scss/variables.scss";
@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';

.page-404-container {
  width: 100%;
  height: calc(100vh - #{$header-bar-height});
  background-size: cover;
  background-position: center;

  &::before {
    // z-index: 99999;
    display: block;
    position: absolute;
    background-image: radial-gradient(circle at 31% 29%, rgba(45, 48, 56, 0) 7%, rgba(0, 0, 0, 0.7) 38%, rgba(0, 0, 0, 0.8) 67%, #000);
    height: calc(100vh - #{$header-bar-height});
    width: 100%;
    content: "";

    @media screen and (min-width: $tablet) {
      background-image: radial-gradient(circle at 24% 36%, rgba(45, 48, 56, 0) 4%, rgba(0, 0, 0, 0.7) 22%, rgba(0, 0, 0, 0.8) 67%, #000);
    }
  }
}

.page-content {
  padding: 15% 10%;

  @media screen and (min-width: $desktop) {
    padding: 10% 15%;
  }

  p,
  span {
    color: white;
    font-size: 1.75rem;
    line-height: 1.05;
  }

  .title span {
    font-weight: bold;
    font-size: 3rem;
  }

  .title,
  p {
    margin-bottom: 0.5rem;
  }

  .exclamation-point {
    color: $tomato-color;
    margin-left: 0.5rem;
  }

  .btn-red-border-white-text {
    cursor: pointer;
    background: transparent;
    border-radius: 2px;
    font-size: 0.875rem;
    color: white;
    border: 1px solid $tomato-color;
    padding: 0.5em 0.75em 0.5em 0.75em;
    margin-top: 1rem;
    white-space: normal;
    line-height: 1;
    height: 3.14em;
    width: 14.375rem;

    span {
      /* stylelint-disable-line */
      font-size: 0.875rem;
      color: white;
      white-space: normal;
      line-height: 1;
    }

    &:hover {
      font-weight: bold;
    }

    &:hover,
    &:focus {
      color: white;
      border-color: $tomato-color;
    }
  }
}
